{% extends 'registration/base.html' %}
{% load crispy_forms_tags %}

{% block page_title %}{% block top_title %}
ایجاد مقاله جدید
{% endblock top_title %}{% endblock page_title %}

{% block main_content %}
<div class="col-md-12">
	<!-- general form elements -->
	<div class="card card-primary">
		<div class="card-header">
			<h3 class="card-title mb-0 float-left">مشخصات مقاله</h3>
		</div><!-- /.card-header -->
		<div class="card-body">
			<!-- form start -->
			<form action="" method="post" enctype="multipart/form-data">
				{% csrf_token %}
				<div class="row">
					<div class="col-6">
						{{ form.title|as_crispy_field }}
					</div>
					<div class="col-6">
						{{ form.slug|as_crispy_field }}
					</div>
					<div class="col-12">
						{{ form.description|as_crispy_field }}
					</div>
					<div class="col-6">
						{{ form.category|as_crispy_field }}
					</div>
					<div class="col-6">
						{{ form.thumbnail|as_crispy_field }}

					</div>

					{% if user.is_superuser %}
					<div class="col-6">
						{{ form.author|as_crispy_field }}
					</div>
					<div class="col-6">
						{{ form.status|as_crispy_field }}
					</div>
					{% else %}
					<div class="col-6">
						<div id="div_id_status" class="form-group">
							<label for="id_status" class=" requiredField">
								وضعیت<span class="asteriskField">*</span>
							</label>
							<div class="">
								<select name="status" class="select form-control" required="" id="id_status">
									<option value="">---------</option>
									<option value="d">پیش نویس</option>
									<option value="w">ارسال برای تایید</option>
								</select>
							</div>
						</div>
					</div>
					{% endif %}

					<div class="col-6">
						{{ form.is_special|as_crispy_field }}
					</div>

				</div>
				<a href="{% url 'accounts:article_list' %}" class="btn text-primary">انصراف</a>

				{% if user.is_superuser and request.resolver_match.kwargs.pk %}
				<a href="{% url 'accounts:article_delete' request.resolver_match.kwargs.pk %}"
					class="btn btn-danger">حذف</a>
				{% endif %}

				<button type="submit" class="btn btn-success">ارسال</button>
			</form>
		</div>
	</div>
</div>
{% endblock main_content %}